org.apache.geode.pdx

## Enum DomainObjectPdxAutoNoDefaultConstructor.Day

- java.lang.Object
- - java.lang.Enum<DomainObjectPdxAutoNoDefaultConstructor.Day>
  - - org.apache.geode.pdx.DomainObjectPdxAutoNoDefaultConstructor.Day

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DomainObjectPdxAutoNoDefaultConstructor.Day>
  Enclosing class:
    DomainObjectPdxAutoNoDefaultConstructor

      public static enum DomainObjectPdxAutoNoDefaultConstructor.Day
      extends java.lang.Enum<DomainObjectPdxAutoNoDefaultConstructor.Day>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRIDAY`
    `MONDAY`
    `SATURDAY`
    `SUNDAY`
    `THURSDAY`
    `TUESDAY`
    `WEDNESDAY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainObjectPdxAutoNoDefaultConstructor.Day` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DomainObjectPdxAutoNoDefaultConstructor.Day[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUNDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day SUNDAY

    - #### MONDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day MONDAY

    - #### TUESDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day TUESDAY

    - #### WEDNESDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day WEDNESDAY

    - #### THURSDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day THURSDAY

    - #### FRIDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day FRIDAY

    - #### SATURDAY

          public static final DomainObjectPdxAutoNoDefaultConstructor.Day SATURDAY

  - ### Method Detail

    - #### values

          public static DomainObjectPdxAutoNoDefaultConstructor.Day[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainObjectPdxAutoNoDefaultConstructor.Day c : DomainObjectPdxAutoNoDefaultConstructor.Day.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainObjectPdxAutoNoDefaultConstructor.Day valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null